# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "aipub-protocols"
version = "0.0.2"
authors = ["fn-a <mr.fna.co@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core Rust protocol library implementing the ACPs (Agent Collaboration Protocols) specification"
readme = "README.md"
license = "MIT"
repository = "https://github.com/fn-a/aipub"
resolver = "2"

[lib]
name = "aipub_protocols"
path = "src/lib.rs"

[dependencies.anyhow]
version = "^1.0"

[dependencies.base64]
version = "^0.22"

[dependencies.chrono]
version = "^0.4"
features = ["serde"]

[dependencies.hex]
version = "^0.4"

[dependencies.lazy_static]
version = "^1.5"

[dependencies.rand]
version = "^0.10"

[dependencies.regex]
version = "^1.12"

[dependencies.serde]
version = "^1.0"
features = ["derive"]

[dependencies.serde_json]
version = "^1.0"

[dependencies.sha2]
version = "^0.11"

[dependencies.thiserror]
version = "^2.0"

[dependencies.uuid]
version = "^1.23"
features = [
    "v4",
    "serde",
]
